<p align="center">
  <img width=300 src="docs/figures/mvlearn-logo-transparent-grey.png" />
</p>


[![PyPI - Python Version](https://img.shields.io/pypi/pyversions/mvlearn.svg)](https://img.shields.io/pypi/pyversions/mvlearn.svg)
[![GH Actions Tests](https://github.com/mvlearn/mvlearn/actions/workflows/main.yml/badge.svg)](https://github.com/mvlearn/mvlearn/actions)
[![CircleCI](https://circleci.com/gh/mvlearn/mvlearn/tree/main.svg?style=shield)](https://app.circleci.com/pipelines/github/mvlearn/mvlearn)
[![codecov](https://codecov.io/gh/mvlearn/mvlearn/branch/main/graph/badge.svg)](https://codecov.io/gh/mvlearn/mvlearn)
[![PyPI version](https://badge.fury.io/py/mvlearn.svg)](https://badge.fury.io/py/mvlearn)
[![Conda Version](https://img.shields.io/conda/vn/conda-forge/mvlearn.svg)](https://anaconda.org/conda-forge/mvlearn)
[![License](https://img.shields.io/github/license/mvlearn/mvlearn)](https://opensource.org/licenses/MIT)
[![Paper shield](https://img.shields.io/badge/JMLR-Paper-red)](https://www.jmlr.org/papers/volume22/20-1370/20-1370.pdf)


`mvlearn` is an open-source Python software package for multiview learning tools.

- [**Installation Guide**](https://mvlearn.github.io/install.html)
- [**Documentation**](https://mvlearn.github.io/)
- [**Examples**](https://mvlearn.github.io/auto_examples/index.html)
- [**Source Code**](https://github.com/mvlearn/mvlearn/tree/main/mvlearn)
- [**Issues**](https://github.com/mvlearn/mvlearn/issues)
- [**Contribution Guide**](https://mvlearn.github.io/contributing.html)
- [**Changelog**](https://mvlearn.github.io/changelog.html)

`mvlearn` aims to serve as a community-driven open-source software package that offers reference implementations for algorithms and methods related to multiview learning (machine learning in settings where there are multiple incommensurate views or feature sets for each sample). It brings together the most widely-used tools in this setting with a standardized scikit-learn like API, well tested code and high-quality documentation. Doing so, we aim to facilitate application, extension, and comparison of methods, and offer a foundation for research into new multiview algorithms. We welcome new contributors and the addition of methods with proven efficacy and current use.

## Citing mvlearn

If you find the package useful for your research, please cite our [JMLR Paper](https://www.jmlr.org/papers/volume22/20-1370/20-1370.pdf).

> Perry, Ronan, et al. "mvlearn: Multiview Machine Learning in Python." Journal of Machine Learning Research 22.109 (2021): 1-7.


BibTeX entry:

```tex
@article{perry2021mvlearn,
  title={mvlearn: Multiview Machine Learning in Python},
  author={Perry, Ronan and Mischler, Gavin and Guo, Richard and Lee, Theodore and Chang, Alexander and Koul, Arman and Franz, Cameron and Richard, Hugo and Carmichael, Iain and Ablin, Pierre and Gramfort, Alexandre and Vogelstein, Joshua T.},
  journal={Journal of Machine Learning Research},
  volume={22},
  number={109},
  pages={1-7},
  year={2021}
}
```
